Page MenuHomePhabricator

Add a `bin/hunks` script to manage migrations of hunk data
ClosedPublic

Authored by epriestley on May 25 2014, 5:02 PM.

Details

Summary

Ref T4045. Ref T5179. While we'll eventually need to force a migration, we can let installs (particularly large installs) do an online migration for now. This moves hunks to the new storage format one at a time.

(Note that nothing writes to the new store yet, so this is the only way to populate it.)

WARNING: Installs, don't run this yet! It won't compress the data. Wait until it can also do compression.
Test Plan

Added a break; after migrating one row and moved a few rows over. Spot checked them in the database and viewed the affected diffs.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley updated this revision to Diff 22058.May 25 2014, 5:02 PM
epriestley retitled this revision from to Add a `bin/hunks` script to manage migrations of hunk data.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
btrahan accepted this revision.Jun 3 2014, 10:11 PM
btrahan edited edge metadata.
btrahan added inline comments.
src/applications/differential/management/PhabricatorHunksManagementMigrateWorkflow.php
11

if the NOTE to installs is really important / the code isn't in this stack of diffs somewhere, i'd put the note here

This revision is now accepted and ready to land.Jun 3 2014, 10:11 PM

D9292 is the one that adds the compression bit.

epriestley closed this revision.Jun 4 2014, 1:03 AM
epriestley updated this revision to Diff 22330.

Closed by commit rP5b1262c98b8f (authored by @epriestley).